Package org.pentaho.reporting.libraries.formula.typing

# Interface ArrayCallback

All Known Implementing Classes:
  `StaticArrayCallback`

public interface ArrayCallback

Author:
  Cedric Pronzato

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnCount()`
`LValue`
`getRaw(int row, int column)`
`int`
`getRowCount()`
`Type`
`getType(int row, int column)`
`Object`
`getValue(int row, int column)`

## Method Details

### getRaw

LValue getRaw(int row, int column) throws EvaluationException

Throws:
  `EvaluationException`

### getValue

Object getValue(int row, int column) throws EvaluationException

Throws:
  `EvaluationException`

### getType

Type getType(int row, int column) throws EvaluationException

Throws:
  `EvaluationException`

### getColumnCount

int getColumnCount()

### getRowCount

int getRowCount()